Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
Class MessageSource

Field Summary
`def` | `bundleNames`
`def` | `cachedBundles`

Constructor Summary
`MessageSource(def names)`
`MessageSource(String name)`
`MessageSource(def types)`
`MessageSource(Class type)`

Method Summary
`static def` | `classNames(def types)`
`def` | `createBundles()`
`String` | `format(String code, def args)`
`def` | `getBundles()`
`String` | `getMessage(String code)` Get a raw message from the resource bundles using the given code.
`Object` | `getProperty(String name)`

Constructor Detail

### MessageSource

    public MessageSource(def names)

### MessageSource

    public MessageSource(String name)

### MessageSource

    public MessageSource(def types)

### MessageSource

    public MessageSource(Class type)

Method Detail

### classNames

    static def classNames(def types)

### createBundles

    def createBundles()

### format

    public String format(String code, def args)

### getBundles

    def getBundles()

### getMessage

    public String getMessage(String code)

  Get a raw message from the resource bundles using the given code.

### getProperty

    public Object getProperty(String name)

  see:
    #getMessage(String)